Skip to content

Sandbox - Update API Key

Request

Update an API key's label and/or expiry.

Security
ArxusSSO(Required scopes: ROLE_ITSM_SANDBOX_WRITE)
Path
keyIdstringrequired

The unique identifier of the API key.

Example:507f1f77bcf86cd799439011
Bodyapplication/jsonrequired
labelstring, non-empty

A human-readable label for the API key.

Example:"Production key"
expiresstring or null, (date-time)

An optional expiry date and time. Set to null to remove expiry.

Example:"2027-01-01T00:00:00Z"
curl -i -X PATCH \
  https://developer.arxus.eu/_mock/apis/care/openapi/sandbox/apikeys/507f1f77bcf86cd799439011 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "label": "Production key",
    "expires": "2027-01-01T00:00:00Z"
  }'

Responses

The updated API key.

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(API Key)

A company-scoped API key.

Response
{ "meta": {}, "data": { "id": "6825d2cf57918d1ca439bb5e", "keyPrefix": "care_k1a", "label": "Production key", "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z", "expires": "2027-01-01T00:00:00Z", "revoked": null, "lastUsed": "2025-06-01T12:00:00Z" } }